Bug 184170 - xml2-config lies
xml2-config lies
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 18:20 EST by Ben Allan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 03:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Allan 2006-03-06 18:20:00 EST
Description of problem:
As someone has chosen not to install libxml2.la with the package or the devel
package, xml2-config --libtool-libs should report the empty string or better
yet a detectable error message; this is an egregious error, but
if at least properly handled by modifying xml2-config, other
packages expecting libxml2.la at configure time can compensate reliably.
libxml2.la is installed by default if
building and installing from xmlsoft.org downloaded sources.

Version-Release number of selected component (if applicable):


How reproducible:
always.
x=`xml2-config --libtool-libs`
ls -l $x

Actual results:
/usr/lib/libxml2.la
ls: /usr/lib/libxml2.la: No such file or directory

Expected results:
xml2-config: error: libtool archives not packaged for fedora. blame the packager.


Additional info:
Comment 1 Daniel Veillard 2006-03-07 03:46:06 EST
libtool archives are not not packaged in Fedora/RHEL as a policy for all
libraries. Blaming the packager who is also the person bringing you the
hundred of thousand of lines of code of this library is of really poor
taste, blame is too easy on the receiving end. 
Try to pick less insulting terms (lie, blame ...) next time you ask for
something, thanks in advance.

That said I mofified it upstream to not report a value if the file is not
readable.

Daniel








Note You need to log in before you can comment on or make changes to this bug.